#4 Drop unnecessary rubygem(pkg-config) dependency.
Closed 3 years ago by vondruch. Opened 3 years ago by vondruch.
rpms/ vondruch/rubygem-nokogiri drop-pkg-config-dep  into  master

file modified
+4 -2
@@ -1,7 +1,7 @@ 

  %global	mainver		1.10.10

  #%%global	prever		.rc3

  

- %global	mainrel		1

+ %global	mainrel		2

  %global	prerpmver		%(echo "%{?prever}" | sed -e 's|\\.||g')

  

  %global	gem_name	nokogiri
@@ -35,7 +35,6 @@ 

  ##

  ## Others

  BuildRequires:	gcc

- BuildRequires:	rubygem(pkg-config)

  BuildRequires:	libxml2-devel

  BuildRequires:	libxslt-devel

  BuildRequires:	ruby-devel
@@ -230,6 +229,9 @@ 

  %{gem_dir}/doc/%{gem_name}-%{mainver}%{?prever}/

  

  %changelog

+ * Thu Oct 22 2020 Vít Ondruch <vondruch@redhat.com> - 1.10.10-2

+ - Drop unnecessary rubygem(pkg-config) dependency.

+ 

  * Sat Aug  8 2020 Mamoru TASAKA <mtasaka@fedoraproject.org> - 1.10.10-1

  - 1.10.10

  

This dependency was never really needed to build Nokogiri for Fedora. Moreover, the explicit dependency was dropped due to license concerns.

https://github.com/sparklemotion/nokogiri/commit/aa154fca45df69eef2dd61ba9bc7660b72f63e17

Pull-Request has been closed by vondruch

3 years ago